package com.bonus.canteen.core.marketing.v2.rule.recharge.handler.managecost.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("充值规则详情-管理费")
public class RechargeCostDTO {
   @ApiModelProperty("计价方式：1固定，2阶梯，3循环")
   private Integer rechargeType;
   @ApiModelProperty("阶梯信息")
   private List<RechargeCostItemDTO> items;

   public Integer getRechargeType() {
      return this.rechargeType;
   }

   public List<RechargeCostItemDTO> getItems() {
      return this.items;
   }

   public void setRechargeType(final Integer rechargeType) {
      this.rechargeType = rechargeType;
   }

   public void setItems(final List<RechargeCostItemDTO> items) {
      this.items = items;
   }

   public RechargeCostDTO(final Integer rechargeType, final List<RechargeCostItemDTO> items) {
      this.rechargeType = rechargeType;
      this.items = items;
   }
}
